Bug 322491 - Need to better check if partitions are in use/mounted before using for install
Need to better check if partitions are in use/mounted before using for install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-07 17:41 EDT by James
Modified: 2013-01-09 23:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 17:29:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The log file generated by the installer for the exception (text also pasted into Description). (22.78 KB, text/plain)
2007-10-07 17:41 EDT, James
no flags Details

  None (edit)
Description James 2007-10-07 17:41:17 EDT
Description of problem: Unhandled exception throws during Install CD to HDD 
procedure.


Version-Release number of selected component (if applicable):


How reproducible: Every time.


Steps to Reproduce:
1. Install CD to HDD
2. Use standard configuration (allow F7 to size partitions) on blank drive (I 
used GParted to delete all partitions)
3. Watch it halt (pretty much immediate)
  
Actual results: Fedora 7 NOT installed to HDD


Expected results: Bootable Fedora 7 installed to local HDD


Additional info: Here is the log file generated (also attached):


===============================================


Traceback (most recent call first):
  File "/usr/lib/anaconda/lvm.py", line 305, in pvcreate
    raise PVCreateError(node)
  File "/usr/lib/anaconda/fsset.py", line 2238, in setupDevice
    lvm.pvcreate(node)
  File "/usr/lib/anaconda/fsset.py", line 1599, in createLogicalVolumes
    entry.device.setupDevice(chroot)
  File "/usr/lib/anaconda/packages.py", line 150, in turnOnFilesystems
    anaconda.id.fsset.createLogicalVolumes(anaconda.rootPath)
  File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1041, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 67, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1068, in handleRenderCallback
    self.currentWindow.renderCallback()
PVCreateError: pvcreate of pv "/dev/sda2" failed
Log:
   Can't open /dev/sda2 exclusively.  Mounted filesystem?

Local variables in innermost frame:
node: /dev/sda2
args: ['pvcreate', '-ff', '-y', '-v', '/dev/sda2']
rc: 5


Anaconda instance, containing members:
rootPath: /mnt/sysimage
rescue_mount: True
intf: InstallInterface instance, containing members:
  intf.ppw: InstallProgressWindow instance, containing members:
    intf.ppw.pixmaps: [progress_first.png]
    intf.ppw.intf: Already dumped
    intf.ppw.adbox: <gtk.EventBox object (GtkEventBox) at 0xa9e1cac>
    intf.ppw._updateChange: 0.01
    intf.ppw.adpix: <gtk.Image object (GtkImage) at 0xa9e1c5c>
    intf.ppw._showPercentage: False
    intf.ppw.infolabel: <WrappingLabel object (GtkLabel) at 0xa9e1cfc>
    intf.ppw.ics: InstallControlState instance, containing members:
      intf.ppw.ics.prevEnabled: False
      intf.ppw.ics.cw: InstallControlWindow instance, containing members:
        intf.ppw.ics.cw.handle: 460
        intf.ppw.ics.cw.mainxml: <glade.XML object (PyGladeXML) at 0xa3d070c>
        intf.ppw.ics.cw.reloadRcQueued: 0
        intf.ppw.ics.cw.currentWindow: Already dumped
        intf.ppw.ics.cw.window: <gtk.Window object (GtkWindow) at 0xa3d07ac>
        intf.ppw.ics.cw.installFrame: <gtk.Frame object (GtkFrame) at 0xa3d075c>
        intf.ppw.ics.cw.anaconda: Already dumped
        intf.ppw.ics.cw.rnv: ReleaseNotesViewer instance, containing members:
          intf.ppw.ics.cw.rnv.textWin: <gtk.Window object (GtkWindow) at 
0xa308be4>
          intf.ppw.ics.cw.rnv.vue: <gtkhtml2.View object (HtmlView) at 
0xa308c0c>
          intf.ppw.ics.cw.rnv.currentURI: /usr/share/doc/HTML/RELEASE-NOTES-
en_US.html
          intf.ppw.ics.cw.rnv.topDir: /usr/share/doc/HTML
          intf.ppw.ics.cw.rnv.doc: <gtkhtml2.Document object (HtmlDocument) at 
0xa308bbc>
          intf.ppw.ics.cw.rnv.height: 600
          intf.ppw.ics.cw.rnv.width: 800
          intf.ppw.ics.cw.rnv.opener: FancyURLopener instance, containing 
members:
            intf.ppw.ics.cw.rnv.opener._URLopener__unlink: <built-in function 
unlink>
            intf.ppw.ics.cw.rnv.opener._URLopener__tempfiles: []
            intf.ppw.ics.cw.rnv.opener.cert_file: None
            intf.ppw.ics.cw.rnv.opener.addheaders: [('User-Agent', 'Python-
urllib/1.17')]
            intf.ppw.ics.cw.rnv.opener.tries: 0
            intf.ppw.ics.cw.rnv.opener.ftpcache: {}
            intf.ppw.ics.cw.rnv.opener.tempcache: None
            intf.ppw.ics.cw.rnv.opener.auth_cache: {}
            intf.ppw.ics.cw.rnv.opener.key_file: None
            intf.ppw.ics.cw.rnv.opener.proxies: {}
            intf.ppw.ics.cw.rnv.opener.type: file
            intf.ppw.ics.cw.rnv.opener.maxtries: 10
          intf.ppw.ics.cw.rnv.anaconda: Already dumped
          intf.ppw.ics.cw.rnv.htmlheader: <html><head><meta http-equiv="Content-
Type" content="text/html; charset=utf-8"></head><body bgcolor="white"><pre>
          intf.ppw.ics.cw.rnv.htmlfooter: </pre></body></html>
          intf.ppw.ics.cw.rnv.is_showing: False
      intf.ppw.ics.nextEnabled: False
      intf.ppw.ics.grabNext: True
      intf.ppw.ics.title: Installing Packages
    intf.ppw.progress: <gtk.ProgressBar object (GtkProgressBar) at 0xa9e1cd4>
  intf.icw: Already dumped
  intf.runres: 800x600
  intf.anaconda: Already dumped
rescue: False
updateSrc: None
methodstr: livecd:///dev/live-osimg
dispatch: Dispatcher instance, containing members:
  dispatch.step: 34
  dispatch.skipSteps: {'upgradecontinue': 1, 'group-selection': 1, 
'findrootparts': 1, 'findinstall': 1, 'language': 2, 'upgradeswapsuggestion': 
1, 'confirmupgrade': 1, 'bootloaderadvanced': 1, 'betanag': 2, 'upgrademount': 
1, 'tasksel': 1, 'upgbootloader': 1, 'upgrademigfind': 1, 'addswap': 1, 
'upgrademigratefs': 1, 'regkey': 1}
  dispatch.firstStep: 0
  dispatch.method: LiveCDImageMethod instance, containing members:
    dispatch.method.splitmethod: False
    dispatch.method.intf: Already dumped
    dispatch.method.tree: None
    dispatch.method.rootPath: /mnt/sysimage
    dispatch.method.osimg: //dev/live-osimg
  dispatch.anaconda: Already dumped
method: Already dumped
isKickstart: False
id: InstallData instance, containing members:
  id.firewall: Firewall instance, containing members:
    id.firewall.portlist: [22:tcp]
    id.firewall.trustdevs: []
    id.firewall.enabled: 1
  id.rootParts: None
  id.instProgress: Already dumped
  id.upgradeRoot: None
  id.xsetup: XSetup instance, containing members:
    id.xsetup.skipx: 0
    id.xsetup.xserver: XServer instance, containing members:
      id.xsetup.xserver.videohw: primary: 0
vidCards: [<rhpxl.videocard.VideoCard instance at 0xa1b6a2c>]
Primary Video Card Info:
device: None
driver : nv
descr : nVidia Corporation NV11 [GeForce2 MX/MX 400]
vidRam: None

      id.xsetup.xserver.serverflags: [vt6, -config, /tmp/XConfig.test, -
extension, Composite, -s, 1440, -dpms, -v, -ac, -nolisten, tcp]
      id.xsetup.xserver.resolution: 800x600
      id.xsetup.xserver.root: /
      id.xsetup.xserver.hwstate: XF86HardwareState instance, containing members:
        id.xsetup.xserver.hwstate.videocard_PCIFn: None
        id.xsetup.xserver.hwstate.monitor: monName: None
monID: Unprobed Monitor
monHoriz: None
monVert: None
physicalWidth: 0
physicalHeight: 0

        id.xsetup.xserver.hwstate.config_resolutions: []
        id.xsetup.xserver.hwstate.videocard_name: nVidia Corporation NV11 
[GeForce2 MX/MX 400]
        id.xsetup.xserver.hwstate.monitor_name: Unknown monitor
        id.xsetup.xserver.hwstate.video_ram: 0
        id.xsetup.xserver.hwstate.videocard: Already dumped
        id.xsetup.xserver.hwstate.videocard_driver: nv
        id.xsetup.xserver.hwstate.videocard_options: []
        id.xsetup.xserver.hwstate.all_resolutions: [640x480, 800x480, 800x512, 
800x600, 848x480, 854x480, 1024x600, 1024x768, 1152x768, 1152x864, 1200x900, 
1280x720, 1280x800, 1280x854, 1280x960, 1280x1024, 1360x768, 1400x900, 
1400x1050, 1440x900, 1600x1024, 1600x1200, 1680x1050, 1900x1200, 1920x1080, 
1920x1200, 1920x1440, 2048x1536, 2560x1600]
        id.xsetup.xserver.hwstate.hsync: 31.5-37.9
        id.xsetup.xserver.hwstate.vsync: 50-70
        id.xsetup.xserver.hwstate.probed_video_ram: 0
        id.xsetup.xserver.hwstate.videocard_PCIBus: None
        id.xsetup.xserver.hwstate.colordepth: 24
        id.xsetup.xserver.hwstate.videocard_PCIDev: None
        id.xsetup.xserver.hwstate.resolution: 800x600
        id.xsetup.xserver.hwstate.dri_enabled: 0
        id.xsetup.xserver.hwstate.xconfig: None
      id.xsetup.xserver.monitorhw: Already dumped
      id.xsetup.xserver.keyboard: Keyboard instance, containing members:
        id.xsetup.xserver.keyboard.info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
        id.xsetup.xserver.keyboard.type: PC
        id.xsetup.xserver.keyboard.beenset: 1
        id.xsetup.xserver.keyboard._mods: KeyboardModels instance, containing 
members:
      id.xsetup.xserver.mousehw: FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="imps2"
XEMU3="no"
XMOUSETYPE="IMPS/2"

      id.xsetup.xserver.defaultdepth: 24
      id.xsetup.xserver.logfile: /dev/null
      id.xsetup.xserver.config: None
      id.xsetup.xserver.display: :9
    id.xsetup.anaconda: Already dumped
  id.keyboard: Already dumped
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: True
    id.timezone.arc: 0
    id.timezone.tz: America/Vancouver
  id.mouse: Already dumped
  id.zfcp: ZFCP instance, containing members:
    id.zfcp.hasReadConfig: True
    id.zfcp.fcpdevs: []
  id.upgrade: None
  id.monitor: Already dumped
  id.iscsi: <iscsi.iscsi object at 0xa30622c>
  id.methodstr: livecd:///dev/live-osimg
  id.fsset: FileSystemSet instance, containing members:
    id.fsset.messageWindow: <bound method InstallInterface.messageWindow of 
<gui.InstallInterface instance at 0xa1c9eec>>
    id.fsset.volumesCreated: 0
    id.fsset.progressWindow: <bound method InstallInterface.progressWindow of 
<gui.InstallInterface instance at 0xa1c9eec>>
    id.fsset.migratedfs: 0
    id.fsset.waitWindow: <bound method InstallInterface.waitWindow of 
<gui.InstallInterface instance at 0xa1c9eec>>
    id.fsset.entries: [fsentry -- device: VolGroup01/LogVol00   mountpoint: /
  fsystem: ext3 format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sda1   mountpoint: /boot
  fsystem: ext3 format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: shm   mountpoint: /dev/shm
  fsystem: tmpfs format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: devpts   mountpoint: /dev/pts
  fsystem: devpts format: 0
  ismounted: 0  options: 'gid=5,mode=620'
  bytesPerInode: 4096 label: None

, fsentry -- device: sys   mountpoint: /sys
  fsystem: sysfs format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: proc   mountpoint: /proc
  fsystem: proc format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: VolGroup01   mountpoint: None
  fsystem: volume group (LVM) format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sda2   mountpoint: None
  fsystem: physical volume (LVM) format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: VolGroup01/LogVol01   mountpoint: swap
  fsystem: swap format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

]
    id.fsset.mountcount: 0
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 3
  id.x_already_set: 1
  id.backend: LiveCDCopyBackend instance, containing members:
    id.backend.modeText: 
    id.backend.instPath: /mnt/sysimage
    id.backend.supportsPackageSelection: False
    id.backend.instLog: None
    id.backend.supportsUpgrades: False
    id.backend.method: Already dumped
  id.firstboot: 0
  id.diskset: DiskSet instance, containing members:
    id.diskset.disks: {'sda': <PedDisk object at 0xa0705d8>}
    id.diskset.anaconda: Already dumped
    id.diskset.onlyPrimary: None
  id.users: None
  id.displayMode: g
  id.auth: --enableshadow --enablemd5
  id.ksdata: None
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.above1024: 0
    id.bootloader.defaultDevice: mbr
    id.bootloader.pure: None
    id.bootloader.serialDevice: None
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: 
    id.bootloader.kernelLocation: /boot/
    id.bootloader.device: sda
    id.bootloader.configfile: /etc/lilo.conf
    id.bootloader.kickstart: 0
    id.bootloader.serialOptions: None
    id.bootloader.useGrubVal: 1
    id.bootloader._drivelist: [sda]
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: VolGroup01/LogVol00
      id.bootloader.images.images: {'VolGroup01/LogVol00': ('linux', 'Fedora', 
'ext3')}
    id.bootloader.serial: 0
    id.bootloader.password: None
    id.bootloader.forceLBA32: 0
  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.hostname: localhost.localdomain
    id.network.overrideDHCPhostname: 0
    id.network.netdevices: {'eth0': DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:08:A1:13:DF:63
ONBOOT=yes

}
    id.network.primaryNS: None
    id.network.firstnetdevice: eth0
    id.network.isConfigured: 0
    id.network.domains: []
    id.network.secondaryNS: None
    id.network.gateway: None
  id.instClass: DefaultInstall instance, containing members:
  id.floppyDevice: fd0
  id.partitions: Partitions instance, containing members:
    id.partitions.useFdisk: 0
    id.partitions.useAutopartitioning: 1
    id.partitions.autoClearPartType: 2
    id.partitions.nextUniqueID: 10
    id.partitions.reinitializeDisks: 0
    id.partitions.autoClearPartDrives: [sda]
    id.partitions.zeroMbr: 0
    id.partitions.isKickstart: 0
    id.partitions.requests: [New Part Request -- mountpoint: /boot uniqueID: 8
  type: ext3  format: 1  badblocks: None
  device: sda1 drive: ['sda']  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      migrate: None
      origfstype: None
      primary: None
      dev: None
      uniqueID: 1
      mountpoint: None
      requestSize: 152627.835938
      size: 152627.835938
      end: 312581807
      grow: 0
      start: 0
      ignoreBootConstraints: 0
      type: 1
      badblocks: None
      format: None
      fsopts: None
      fstype: None
      preexist: 1
      device: sda-1
      maxSizeMB: None
      bytesPerInode: 4096
      drive: sda
      fslabel: None
      protected: 0
      multidrive: None
, VG Request -- name: VolGroup01  uniqueID: 6
  format: 1 pesize: 32768  
  physvols: [5]
, New Part Request -- mountpoint: None uniqueID: 5
  type: physical volume (LVM)  format: 1  badblocks: None
  device: sda2 drive: ['sda']  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: /  uniqueID: 7
  type: ext3  format: 1  badblocks: None
  size: 151456  lvname: LogVol00  volgroup: 6
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: 9
  type: swap  format: 1  badblocks: None
  size: 1024  lvname: LogVol01  volgroup: 6
  bytesPerInode: 4096  options: 'None'
]
    id.partitions.autoPartitionRequests: [New Part Request -- mountpoint: None 
uniqueID: None
  type: physical volume (LVM)  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, VG Request -- name: lvm  uniqueID: None
  format: 1 pesize: 32768  
  physvols: []
, LV Request -- mountpoint: /  uniqueID: None
  type: ext3  format: 1  badblocks: None
  size: 1024  lvname: LogVol00  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: None
  type: swap  format: 1  badblocks: None
  size: 512  lvname: LogVol01  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
]
    id.partitions.deletes: []
  id.isHeadless: 0
  id.videocard: Already dumped
  id.instLanguage: Language instance, containing members:
    id.instLanguage.targetLang: None
    id.instLanguage.default: en_US.UTF-8
    id.instLanguage.displayMode: g
    id.instLanguage.current: en_US.UTF-8
  id.security: Security instance, containing members:
    id.security.selinux: 1
  id.upgradeSwapInfo: None
dir: 1
backend: Already dumped


/tmp/anaconda.log:
12:05:18 INFO    : using only installclass _Fedora
12:05:18 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda', '--
method=livecd:///dev/live-osimg', '--lang', 'en_US.UTF-8']
12:05:18 INFO    : Display mode = g
12:05:18 INFO    : Method = livecd:///dev/live-osimg
12:05:18 INFO    : anaconda floppy device fd0
12:05:21 INFO    : Starting graphical installation...
12:05:23 INFO    : Detected 512M of memory
12:05:23 INFO    : Swap attempt of 512M to 1024M
12:05:23 WARNING : step installtype does not exist
12:05:23 WARNING : step complete does not exist
12:05:24 INFO    : moving (1) to step welcome
12:08:00 INFO    : moving (1) to step keyboard
12:08:08 INFO    : moving (1) to step partitionobjinit
12:08:08 INFO    : no /tmp/fcpconfig; not configuring zfcp
12:08:08 DEBUG   : starting mpaths
12:08:08 DEBUG   : self.driveList(): ['sda']
12:08:08 DEBUG   : DiskSet.skippedDisks: []
12:08:08 DEBUG   : DiskSet.skippedDisks: []
12:08:08 DEBUG   : starting all mpaths on drives ['sda']
12:08:08 DEBUG   : scanning for multipath on drives ['sda']
12:08:08 DEBUG   : mpaths: []
12:08:08 DEBUG   : done starting mpaths.  Drivelist: ['sda']
12:08:08 DEBUG   : starting dmraids
12:08:08 DEBUG   : self.driveList(): ['sda']
12:08:08 DEBUG   : DiskSet.skippedDisks: []
12:08:08 DEBUG   : DiskSet.skippedDisks: []
12:08:08 DEBUG   : starting all dmraids on drives ['sda']
12:08:08 DEBUG   : scanning for dmraid on drives ['sda']
12:08:09 DEBUG   : done starting dmraids.  Drivelist: ['sda']
12:08:12 INFO    : scd0 is a protected partition
12:08:12 INFO    : no request, probably a removable drive
12:08:12 INFO    : moving (1) to step parttype
12:08:37 INFO    : moving (1) to step autopartitionexecute
12:08:37 INFO    : scd0 is a protected partition
12:08:37 INFO    : no request, probably a removable drive
12:08:52 INFO    : moving (-1) to step parttype
12:09:56 INFO    : moving (1) to step autopartitionexecute
12:09:57 DEBUG   : used space is 1536
12:09:57 DEBUG   : actual space is 152480
12:09:57 DEBUG   : used space is 102144
12:09:57 DEBUG   : actual space is 152480
12:09:57 DEBUG   : used space is 102656
12:09:57 DEBUG   : actual space is 152480
12:09:57 DEBUG   : used space is 152480
12:09:57 DEBUG   : actual space is 152480
12:09:57 DEBUG   : used space is 152480
12:09:57 DEBUG   : actual space is 152480
12:09:57 DEBUG   : used space is 152480
12:09:57 DEBUG   : actual space is 152480
12:09:57 INFO    : moving (1) to step partition
13:07:43 INFO    : moving (1) to step partitiondone
13:07:43 INFO    : moving (1) to step bootloadersetup
13:07:46 INFO    : moving (1) to step bootloader
13:08:27 INFO    : moving (1) to step networkdevicecheck
13:08:27 INFO    : moving (1) to step network
13:08:51 INFO    : moving (1) to step timezone
13:10:06 INFO    : moving (1) to step accounts
13:10:18 INFO    : moving (1) to step reposetup
13:10:18 INFO    : moving (1) to step basepkgsel
13:10:18 INFO    : moving (1) to step postselection
13:10:18 INFO    : moving (1) to step confirminstall
13:10:29 INFO    : moving (1) to step install
13:10:29 INFO    : moving (1) to step enablefilesystems
13:10:30 INFO    : disk.commit() for /dev/sda
13:10:33 INFO    : formatting swap as swap
13:10:33 INFO    : formatting / as ext3
13:10:33 INFO    : Format command:  ['mke2fs', '/dev/VolGroup00/LogVol00', '-
i', '4096', '-j']

13:26:44 INFO    : using only installclass _Fedora
13:26:45 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda', '--
method=livecd:///dev/live-osimg', '--lang', 'en_US.UTF-8']
13:26:45 INFO    : Display mode = g
13:26:45 INFO    : Method = livecd:///dev/live-osimg
13:26:45 INFO    : anaconda floppy device fd0
13:26:48 INFO    : Starting graphical installation...
13:26:50 INFO    : Detected 512M of memory
13:26:50 INFO    : Swap attempt of 512M to 1024M
13:26:50 WARNING : step installtype does not exist
13:26:50 WARNING : step complete does not exist
13:26:51 INFO    : moving (1) to step welcome
13:27:05 INFO    : moving (1) to step keyboard
13:27:09 INFO    : moving (1) to step partitionobjinit
13:27:09 INFO    : no /tmp/fcpconfig; not configuring zfcp
13:27:09 DEBUG   : starting mpaths
13:27:09 DEBUG   : self.driveList(): ['sda']
13:27:09 DEBUG   : DiskSet.skippedDisks: []
13:27:09 DEBUG   : DiskSet.skippedDisks: []
13:27:09 DEBUG   : starting all mpaths on drives ['sda']
13:27:09 DEBUG   : scanning for multipath on drives ['sda']
13:27:09 DEBUG   : mpaths: []
13:27:09 DEBUG   : done starting mpaths.  Drivelist: ['sda']
13:27:09 DEBUG   : starting dmraids
13:27:09 DEBUG   : self.driveList(): ['sda']
13:27:09 DEBUG   : DiskSet.skippedDisks: []
13:27:09 DEBUG   : DiskSet.skippedDisks: []
13:27:09 DEBUG   : starting all dmraids on drives ['sda']
13:27:09 DEBUG   : scanning for dmraid on drives ['sda']
13:27:09 DEBUG   : done starting dmraids.  Drivelist: ['sda']
13:27:10 INFO    : lv VolGroup00/LogVol00, attr is -wi-a-
13:27:11 INFO    : lv is VolGroup00/LogVol00, size of 151456
13:27:11 INFO    : lv is VolGroup00/LogVol01, size of 1024
13:27:35 INFO    : pv is /dev/sda2 in vg VolGroup00, size is 152523
13:27:35 INFO    : vg VolGroup00, size is 152512, pesize is 32768
13:27:35 ERROR   : Volume group VolGroup00 using non-existent partition /dev/
sda2
13:27:35 INFO    : lv is VolGroup00/LogVol00, size of 151456
13:27:35 INFO    : lv is VolGroup00/LogVol01, size of 1024
13:27:35 INFO    : mdadm -E /dev/VolGroup00/LogVol00
13:28:21 INFO    : mdadm -E /dev/VolGroup00/LogVol01
13:28:21 ERROR   : running vgchange failed: 5
13:28:21 INFO    : scd0 is a protected partition
13:28:21 INFO    : no request, probably a removable drive
13:28:21 INFO    : moving (1) to step parttype
13:29:04 INFO    : moving (1) to step autopartitionexecute
13:29:04 DEBUG   : used space is 1536
13:29:04 DEBUG   : actual space is 152480
13:29:04 DEBUG   : used space is 102144
13:29:04 DEBUG   : actual space is 152480
13:29:04 DEBUG   : used space is 102656
13:29:04 DEBUG   : actual space is 152480
13:29:04 DEBUG   : used space is 152480
13:29:04 DEBUG   : actual space is 152480
13:29:04 DEBUG   : used space is 152480
13:29:04 DEBUG   : actual space is 152480
13:29:04 DEBUG   : used space is 152480
13:29:04 DEBUG   : actual space is 152480
13:29:04 INFO    : moving (1) to step partition
13:29:52 INFO    : moving (1) to step partitiondone
13:29:52 INFO    : moving (1) to step bootloadersetup
13:29:52 INFO    : moving (1) to step bootloader
13:29:59 INFO    : moving (1) to step networkdevicecheck
13:29:59 INFO    : moving (1) to step network
13:30:06 INFO    : moving (1) to step timezone
13:30:14 INFO    : moving (1) to step accounts
13:30:22 INFO    : moving (1) to step reposetup
13:30:22 INFO    : moving (1) to step basepkgsel
13:30:22 INFO    : moving (1) to step postselection
13:30:22 INFO    : moving (1) to step confirminstall
13:30:24 INFO    : moving (1) to step install
13:30:24 INFO    : moving (1) to step enablefilesystems
13:30:25 INFO    : lv is VolGroup00/LogVol00, size of 151456
13:30:25 INFO    : lv is VolGroup00/LogVol01, size of 1024
13:30:25 ERROR   : running vgchange failed: 5
13:30:25 INFO    : disk.commit() for /dev/sda


/tmp/lvmout:
  Can't open /dev/sda2 exclusively.  Mounted filesystem?



=========================================================


Thanks for all your hard work.
Comment 1 James 2007-10-07 17:41:17 EDT
Created attachment 218901 [details]
The log file generated by the installer for the exception (text also pasted into Description).
Comment 2 Jeremy Katz 2007-10-08 21:06:12 EDT
Do you have /dev/sda2 mounted?
Comment 3 James 2007-10-08 22:04:56 EDT
Perhaps I have not explained myself very well.  I am trying to install Fedora 7 
to the only harddrive on this machine.  I am attempting to do so using the 
Fedora 7 Live CD (i686).  On the desktop there is an icon called Install to 
Hard Drive.  This icon pulls up the standard Fedora Linux installer (the same 
one I recognize from doing installs using the full Fedora DVD's).

The harddrive has no associated file system (I removed all partitions using 
GParted).  I cannot mount the drive without specifying a file system.  I don't 
normally have to mount a drive before the installer is able to load the OS onto 
that drive (perhaps that is because the installer automatically mounts the 
drives, on this I am unclear).  The Fedora installer is able to see the drive 
and I see the specified partitions (I think) the installer wishes to install, 
but when the installer attempts to begin installation it immediately throws the 
aforementioned exception.

According to GParted the drive is located at md0 and so I am unclear why the 
installer calls out sda2 (but this is what shows in the installer as well as in 
the above log file).

I am comfortable with following whatever instructions as there is nothing on 
this machine whatsoever.
Comment 4 Jeremy Katz 2007-10-09 10:32:29 EDT
The question about if the drive is mounted is because the kernel is unable to
write out the new partition table due to the device being busy.  This is usually
due to a partition being mounted.  If gparted is still running, that might be
the cause as well.
Comment 5 James 2007-10-09 23:00:41 EDT
Well, that is interesting.  I see.

Not being a command line expert I'm not sure if sda2 was mounted or not.  I did 
go into Top to see if GParted was still running.  I didn't identify anything 
that was definitely GParted (I ran "top | grep gp*").

However, after a reboot I went directly into Install to Hard Drive and it is 
currently formatting the drive.

IF this is a bug, I suppose it should be called something like "Install to Hard 
Drive fails to successfully unmount drive onto which it intends to install".

Thanks for your help.  I'll let you know whether this install goes as expected.
Comment 6 Jeremy Katz 2007-10-09 23:12:36 EDT
We try to do as much verification as we can, but obvious have missed something
in this case.  Reassigning to anaconda and we'll look to see if we can catch
more gracefully
Comment 7 James 2007-10-10 03:14:29 EDT
I certainly appreciate the work you do.  The install went just fine using the 
above method.  Have a great time out there, and let me know if there is 
anything further you'd like from me.
Comment 8 Bug Zapper 2008-05-14 10:39:06 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Andy Lindeberg 2008-06-03 17:29:44 EDT
If anybody encounters this problem in Fedora 9, please reopen the report.

Note You need to log in before you can comment on or make changes to this bug.